> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ponto-on.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar Empresa

> Criar Empresa



## OpenAPI

````yaml post /empresas
openapi: 3.0.3
info:
  title: PontoOn
  version: 1.0.0
  contact: {}
servers:
  - url: https://api-hml.ponto-on.com
security: []
tags:
  - name: Private (Admin)
  - name: Endpoints para Empresas
  - name: Endpoints para Funcionários
  - name: Auth Empresas e Admins
paths:
  /empresas:
    post:
      tags:
        - Endpoints para Empresas
      summary: Criar Empresa
      description: Criar Empresa
      operationId: criarEmpresa
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                cnpj:
                  type: string
                  example: 99.999.999/0001-99
                dataAbertura:
                  type: string
                  example: 25/01/2026
                email:
                  type: string
                  example: teste@empresa.com
                nome:
                  type: string
                  example: .on Tecnlogia LTDA
                nomeDoPlano:
                  type: string
                  example: Dot Drive
                password:
                  type: string
                  example: '123456789'
                razaoSocial:
                  type: string
                  example: .on Tecnologia LTDA
            examples:
              Criar Empresa:
                value:
                  cnpj: 99.999.999/0001-99
                  dataAbertura: 25/01/2026
                  email: teste@empresa.com
                  nome: .on Tecnlogia LTDA
                  nomeDoPlano: Dot Drive
                  password: '123456789'
                  razaoSocial: .on Tecnologia LTDA
      responses:
        '200':
          description: Criar Empresa
          content:
            application/json:
              schema:
                type: object
                properties:
                  savedEmpresa:
                    type: object
                    properties:
                      assinaturaStatus:
                        nullable: true
                        example: null
                      cnpj:
                        type: string
                        example: 99.999.999/0001-99
                      dataAbertura:
                        type: string
                        example: 25/01/2026
                      email:
                        type: string
                        example: teste@empresa.com
                      endereco:
                        nullable: true
                        example: null
                      fluxoCaixa:
                        nullable: true
                        example: null
                      id:
                        type: number
                        example: 9
                      invoiceId:
                        type: string
                        example: in_1OiucnFcaxGH4c3A9x2SSI3d
                      nomeDoPlano:
                        type: string
                        example: Dot Drive
                      password:
                        type: string
                        example: >-
                          $2a$10$OPnu1.nNj/VaI.I./HPn1u1Uj2IM9YF3NDdkV7I5B8NWqz5he/wSG
                      precoId:
                        type: string
                        example: prod_PUAfiEvbmr8vzt
                      razaoSocial:
                        type: string
                        example: .on Tecnologia LTDA
                      role:
                        type: string
                        example: empresa_plan_basic
                      stripeCustomerId:
                        type: string
                        example: cus_PY0e0CbORQzBao
                  subscription:
                    type: object
                    properties:
                      application:
                        nullable: true
                        example: null
                      application_fee_percent:
                        nullable: true
                        example: null
                      automatic_tax:
                        type: object
                        properties:
                          enabled:
                            type: boolean
                            example: false
                          liability:
                            nullable: true
                            example: null
                      billing_cycle_anchor:
                        type: number
                        example: 1708330345
                      billing_cycle_anchor_config:
                        nullable: true
                        example: null
                      billing_thresholds:
                        nullable: true
                        example: null
                      cancel_at:
                        nullable: true
                        example: null
                      cancel_at_period_end:
                        type: boolean
                        example: false
                      canceled_at:
                        nullable: true
                        example: null
                      cancellation_details:
                        type: object
                        properties:
                          comment:
                            nullable: true
                            example: null
                          feedback:
                            nullable: true
                            example: null
                          reason:
                            nullable: true
                            example: null
                      collection_method:
                        type: string
                        example: charge_automatically
                      created:
                        type: number
                        example: 1707725545
                      currency:
                        type: string
                        example: brl
                      current_period_end:
                        type: number
                        example: 1708330345
                      current_period_start:
                        type: number
                        example: 1707725545
                      customer:
                        type: string
                        example: cus_PY0e0CbORQzBao
                      days_until_due:
                        nullable: true
                        example: null
                      default_payment_method:
                        nullable: true
                        example: null
                      default_source:
                        nullable: true
                        example: null
                      default_tax_rates:
                        type: array
                        items: {}
                        example: []
                      description:
                        nullable: true
                        example: null
                      discount:
                        nullable: true
                        example: null
                      ended_at:
                        nullable: true
                        example: null
                      id:
                        type: string
                        example: sub_1OiucnFcaxGH4c3AdzpPH8g3
                      invoice_settings:
                        type: object
                        properties:
                          account_tax_ids:
                            nullable: true
                            example: null
                          issuer:
                            type: object
                            properties:
                              type:
                                type: string
                                example: self
                      items:
                        type: object
                        properties:
                          data:
                            type: array
                            items:
                              type: object
                              properties:
                                billing_thresholds:
                                  nullable: true
                                  example: null
                                created:
                                  type: number
                                  example: 1707725545
                                id:
                                  type: string
                                  example: si_PY0eUgHoirothQ
                                metadata:
                                  type: object
                                  properties: {}
                                object:
                                  type: string
                                  example: subscription_item
                                plan:
                                  type: object
                                  properties:
                                    active:
                                      type: boolean
                                      example: true
                                    aggregate_usage:
                                      nullable: true
                                      example: null
                                    amount:
                                      type: number
                                      example: 9990
                                    amount_decimal:
                                      type: string
                                      example: '9990'
                                    billing_scheme:
                                      type: string
                                      example: per_unit
                                    created:
                                      type: number
                                      example: 1706840281
                                    currency:
                                      type: string
                                      example: brl
                                    id:
                                      type: string
                                      example: price_1OfCKLFcaxGH4c3A7JNFE4Fx
                                    interval:
                                      type: string
                                      example: month
                                    interval_count:
                                      type: number
                                      example: 1
                                    livemode:
                                      type: boolean
                                      example: false
                                    metadata:
                                      type: object
                                      properties: {}
                                    nickname:
                                      nullable: true
                                      example: null
                                    object:
                                      type: string
                                      example: plan
                                    product:
                                      type: string
                                      example: prod_PUAfiEvbmr8vzt
                                    tiers_mode:
                                      nullable: true
                                      example: null
                                    transform_usage:
                                      nullable: true
                                      example: null
                                    trial_period_days:
                                      type: number
                                      example: 7
                                    usage_type:
                                      type: string
                                      example: licensed
                                price:
                                  type: object
                                  properties:
                                    active:
                                      type: boolean
                                      example: true
                                    billing_scheme:
                                      type: string
                                      example: per_unit
                                    created:
                                      type: number
                                      example: 1706840281
                                    currency:
                                      type: string
                                      example: brl
                                    custom_unit_amount:
                                      nullable: true
                                      example: null
                                    id:
                                      type: string
                                      example: price_1OfCKLFcaxGH4c3A7JNFE4Fx
                                    livemode:
                                      type: boolean
                                      example: false
                                    lookup_key:
                                      nullable: true
                                      example: null
                                    metadata:
                                      type: object
                                      properties: {}
                                    nickname:
                                      nullable: true
                                      example: null
                                    object:
                                      type: string
                                      example: price
                                    product:
                                      type: string
                                      example: prod_PUAfiEvbmr8vzt
                                    recurring:
                                      type: object
                                      properties:
                                        aggregate_usage:
                                          nullable: true
                                          example: null
                                        interval:
                                          type: string
                                          example: month
                                        interval_count:
                                          type: number
                                          example: 1
                                        trial_period_days:
                                          type: number
                                          example: 7
                                        usage_type:
                                          type: string
                                          example: licensed
                                    tax_behavior:
                                      type: string
                                      example: unspecified
                                    tiers_mode:
                                      nullable: true
                                      example: null
                                    transform_quantity:
                                      nullable: true
                                      example: null
                                    type:
                                      type: string
                                      example: recurring
                                    unit_amount:
                                      type: number
                                      example: 9990
                                    unit_amount_decimal:
                                      type: string
                                      example: '9990'
                                quantity:
                                  type: number
                                  example: 1
                                subscription:
                                  type: string
                                  example: sub_1OiucnFcaxGH4c3AdzpPH8g3
                                tax_rates:
                                  type: array
                                  items: {}
                                  example: []
                            example:
                              - billing_thresholds: null
                                created: 1707725545
                                id: si_PY0eUgHoirothQ
                                metadata: {}
                                object: subscription_item
                                plan:
                                  active: true
                                  aggregate_usage: null
                                  amount: 9990
                                  amount_decimal: '9990'
                                  billing_scheme: per_unit
                                  created: 1706840281
                                  currency: brl
                                  id: price_1OfCKLFcaxGH4c3A7JNFE4Fx
                                  interval: month
                                  interval_count: 1
                                  livemode: false
                                  metadata: {}
                                  nickname: null
                                  object: plan
                                  product: prod_PUAfiEvbmr8vzt
                                  tiers_mode: null
                                  transform_usage: null
                                  trial_period_days: 7
                                  usage_type: licensed
                                price:
                                  active: true
                                  billing_scheme: per_unit
                                  created: 1706840281
                                  currency: brl
                                  custom_unit_amount: null
                                  id: price_1OfCKLFcaxGH4c3A7JNFE4Fx
                                  livemode: false
                                  lookup_key: null
                                  metadata: {}
                                  nickname: null
                                  object: price
                                  product: prod_PUAfiEvbmr8vzt
                                  recurring:
                                    aggregate_usage: null
                                    interval: month
                                    interval_count: 1
                                    trial_period_days: 7
                                    usage_type: licensed
                                  tax_behavior: unspecified
                                  tiers_mode: null
                                  transform_quantity: null
                                  type: recurring
                                  unit_amount: 9990
                                  unit_amount_decimal: '9990'
                                quantity: 1
                                subscription: sub_1OiucnFcaxGH4c3AdzpPH8g3
                                tax_rates: []
                          has_more:
                            type: boolean
                            example: false
                          object:
                            type: string
                            example: list
                          total_count:
                            type: number
                            example: 1
                          url:
                            type: string
                            example: >-
                              /v1/subscription_items?subscription=sub_1OiucnFcaxGH4c3AdzpPH8g3
                      latest_invoice:
                        type: string
                        example: in_1OiucnFcaxGH4c3A9x2SSI3d
                      livemode:
                        type: boolean
                        example: false
                      metadata:
                        type: object
                        properties: {}
                      next_pending_invoice_item_invoice:
                        nullable: true
                        example: null
                      object:
                        type: string
                        example: subscription
                      on_behalf_of:
                        nullable: true
                        example: null
                      pause_collection:
                        nullable: true
                        example: null
                      payment_settings:
                        type: object
                        properties:
                          payment_method_options:
                            nullable: true
                            example: null
                          payment_method_types:
                            type: array
                            items:
                              type: string
                              example: card
                            example:
                              - card
                          save_default_payment_method:
                            type: string
                            example: 'off'
                      pending_invoice_item_interval:
                        nullable: true
                        example: null
                      pending_setup_intent:
                        type: string
                        example: seti_1OiucnFcaxGH4c3AOAztDvY5
                      pending_update:
                        nullable: true
                        example: null
                      plan:
                        type: object
                        properties:
                          active:
                            type: boolean
                            example: true
                          aggregate_usage:
                            nullable: true
                            example: null
                          amount:
                            type: number
                            example: 9990
                          amount_decimal:
                            type: string
                            example: '9990'
                          billing_scheme:
                            type: string
                            example: per_unit
                          created:
                            type: number
                            example: 1706840281
                          currency:
                            type: string
                            example: brl
                          id:
                            type: string
                            example: price_1OfCKLFcaxGH4c3A7JNFE4Fx
                          interval:
                            type: string
                            example: month
                          interval_count:
                            type: number
                            example: 1
                          livemode:
                            type: boolean
                            example: false
                          metadata:
                            type: object
                            properties: {}
                          nickname:
                            nullable: true
                            example: null
                          object:
                            type: string
                            example: plan
                          product:
                            type: string
                            example: prod_PUAfiEvbmr8vzt
                          tiers_mode:
                            nullable: true
                            example: null
                          transform_usage:
                            nullable: true
                            example: null
                          trial_period_days:
                            type: number
                            example: 7
                          usage_type:
                            type: string
                            example: licensed
                      quantity:
                        type: number
                        example: 1
                      schedule:
                        nullable: true
                        example: null
                      start_date:
                        type: number
                        example: 1707725545
                      status:
                        type: string
                        example: trialing
                      test_clock:
                        nullable: true
                        example: null
                      transfer_data:
                        nullable: true
                        example: null
                      trial_end:
                        type: number
                        example: 1708330345
                      trial_settings:
                        type: object
                        properties:
                          end_behavior:
                            type: object
                            properties:
                              missing_payment_method:
                                type: string
                                example: create_invoice
                      trial_start:
                        type: number
                        example: 1707725545
              examples:
                Criar Empresa:
                  value:
                    savedEmpresa:
                      assinaturaStatus: null
                      cnpj: 99.999.999/0001-99
                      dataAbertura: 25/01/2026
                      email: teste@empresa.com
                      endereco: null
                      fluxoCaixa: null
                      id: 9
                      invoiceId: in_1OiucnFcaxGH4c3A9x2SSI3d
                      nomeDoPlano: Dot Drive
                      password: >-
                        $2a$10$OPnu1.nNj/VaI.I./HPn1u1Uj2IM9YF3NDdkV7I5B8NWqz5he/wSG
                      precoId: prod_PUAfiEvbmr8vzt
                      razaoSocial: .on Tecnologia LTDA
                      role: empresa_plan_basic
                      stripeCustomerId: cus_PY0e0CbORQzBao
                    subscription:
                      application: null
                      application_fee_percent: null
                      automatic_tax:
                        enabled: false
                        liability: null
                      billing_cycle_anchor: 1708330345
                      billing_cycle_anchor_config: null
                      billing_thresholds: null
                      cancel_at: null
                      cancel_at_period_end: false
                      canceled_at: null
                      cancellation_details:
                        comment: null
                        feedback: null
                        reason: null
                      collection_method: charge_automatically
                      created: 1707725545
                      currency: brl
                      current_period_end: 1708330345
                      current_period_start: 1707725545
                      customer: cus_PY0e0CbORQzBao
                      days_until_due: null
                      default_payment_method: null
                      default_source: null
                      default_tax_rates: []
                      description: null
                      discount: null
                      ended_at: null
                      id: sub_1OiucnFcaxGH4c3AdzpPH8g3
                      invoice_settings:
                        account_tax_ids: null
                        issuer:
                          type: self
                      items:
                        data:
                          - billing_thresholds: null
                            created: 1707725545
                            id: si_PY0eUgHoirothQ
                            metadata: {}
                            object: subscription_item
                            plan:
                              active: true
                              aggregate_usage: null
                              amount: 9990
                              amount_decimal: '9990'
                              billing_scheme: per_unit
                              created: 1706840281
                              currency: brl
                              id: price_1OfCKLFcaxGH4c3A7JNFE4Fx
                              interval: month
                              interval_count: 1
                              livemode: false
                              metadata: {}
                              nickname: null
                              object: plan
                              product: prod_PUAfiEvbmr8vzt
                              tiers_mode: null
                              transform_usage: null
                              trial_period_days: 7
                              usage_type: licensed
                            price:
                              active: true
                              billing_scheme: per_unit
                              created: 1706840281
                              currency: brl
                              custom_unit_amount: null
                              id: price_1OfCKLFcaxGH4c3A7JNFE4Fx
                              livemode: false
                              lookup_key: null
                              metadata: {}
                              nickname: null
                              object: price
                              product: prod_PUAfiEvbmr8vzt
                              recurring:
                                aggregate_usage: null
                                interval: month
                                interval_count: 1
                                trial_period_days: 7
                                usage_type: licensed
                              tax_behavior: unspecified
                              tiers_mode: null
                              transform_quantity: null
                              type: recurring
                              unit_amount: 9990
                              unit_amount_decimal: '9990'
                            quantity: 1
                            subscription: sub_1OiucnFcaxGH4c3AdzpPH8g3
                            tax_rates: []
                        has_more: false
                        object: list
                        total_count: 1
                        url: >-
                          /v1/subscription_items?subscription=sub_1OiucnFcaxGH4c3AdzpPH8g3
                      latest_invoice: in_1OiucnFcaxGH4c3A9x2SSI3d
                      livemode: false
                      metadata: {}
                      next_pending_invoice_item_invoice: null
                      object: subscription
                      on_behalf_of: null
                      pause_collection: null
                      payment_settings:
                        payment_method_options: null
                        payment_method_types:
                          - card
                        save_default_payment_method: 'off'
                      pending_invoice_item_interval: null
                      pending_setup_intent: seti_1OiucnFcaxGH4c3AOAztDvY5
                      pending_update: null
                      plan:
                        active: true
                        aggregate_usage: null
                        amount: 9990
                        amount_decimal: '9990'
                        billing_scheme: per_unit
                        created: 1706840281
                        currency: brl
                        id: price_1OfCKLFcaxGH4c3A7JNFE4Fx
                        interval: month
                        interval_count: 1
                        livemode: false
                        metadata: {}
                        nickname: null
                        object: plan
                        product: prod_PUAfiEvbmr8vzt
                        tiers_mode: null
                        transform_usage: null
                        trial_period_days: 7
                        usage_type: licensed
                      quantity: 1
                      schedule: null
                      start_date: 1707725545
                      status: trialing
                      test_clock: null
                      transfer_data: null
                      trial_end: 1708330345
                      trial_settings:
                        end_behavior:
                          missing_payment_method: create_invoice
                      trial_start: 1707725545

````